Include "tmp1.geo";

// >>>> RA winglet near-field volume mesh
Line Loop(62) = {256,-267,-110,262};
Ruled Surface(62) = {62};
Line Loop(73) = {110,263,-251,-257};
Ruled Surface(73) = {73};
Line Loop(74) = {251,-191,-252,187};
Ruled Surface(74) = {74};
Line Loop(75) = {252,-190,-253,229};
Ruled Surface(75) = {75};
Line Loop(76) = {253,-254,248};
Ruled Surface(76) = {76};
Line Loop(77) = {254,-189,-255,231};
Ruled Surface(77) = {77};
Line Loop(78) = {255,-188,-256,186};
Ruled Surface(78) = {78};

Line Loop(79) = {263,-191,-266,36};
Ruled Surface(79) = {79};
Line Loop(80) = {266,-190,-265,35};
Ruled Surface(80) = {80};
Line Loop(81) = {189,-265,-34,264};
Ruled Surface(81) = {81};
Line Loop(82) = {264,-188,-267,33};
Ruled Surface(82) = {82};

Physical Surface("AftWingletNearField") = {62,73:82};

Transfinite Line {257,262:267} = NBL Using Progression 1.1; // BL edges
Transfinite Line {251:256} = NSP1 Using Progression 1/RSP1; // spanwise edges
Transfinite Line {188:186} = NLW5 Using Progression 1; // airfoil edges
Transfinite Line {189:231} = NLW4 Using Progression 1; // airfoil edges
Transfinite Line {190:229} = NUP2 Using Progression 1; // airfoil edges
Transfinite Line {191:187} = NUP1 Using Progression 1; // airfoil edges
Transfinite Line {248} = 51 Using Progression 1; // airfoil edges

Transfinite Surface {62} = {3587,3513,859,1013}; Recombine Surface {62};
Transfinite Surface {73} = {1013,859,3586,3720}; Recombine Surface {73};
Transfinite Surface {74} = {3720,3586,3552,3685}; Recombine Surface {74};
Transfinite Surface {75} = {3552,3685,3626,3724}; Recombine Surface {75};
Transfinite Surface {76} = {3828,3724,3626}; Recombine Surface {76};
Transfinite Surface {77} = {3828,3626,3625,3551}; Recombine Surface {77};
Transfinite Surface {78} = {3551,3625,3587,3513}; Recombine Surface {78};
Transfinite Surface {79} = {1013,3720,3685,1123}; Recombine Surface {79};
Transfinite Surface {80} = {1089,3626,3685,1123}; Recombine Surface {80};
Transfinite Surface {81} = {3625,3626,1089,1053}; Recombine Surface {81};
Transfinite Surface {82} = {1053,3625,3587,1013}; Recombine Surface {82};
